# Please refer https://aka.ms/HTTPSinContainer on how to setup an https developer certificate for your ASP .NET Core service.

name: etsi_arf_server
version: '1.0'

networks:
  minionetwork:
    driver: bridge
  vpcbr:
    ipam:
     config:
       - subnet: 172.24.30.0/24        

services:
  mongod:
    container_name: etsi_mongodb
    image: mongo:latest
    environment:
      - PUID=1000
      - PGID=1000
    volumes:
  #    - mongodbdata:/data/mongodb:rw
      - C:/Fraunhofer/Servers/ETSI/MongoDB/data:/data/db:rw
      - C:/Fraunhofer/Servers/ETSI/MongoDB/data-dump:/data/db-dump:rw
  #    - D:/Fraunhofer/Servers/ETSI/MongoDB/mongod.yaml:/etc/mongod.conf:rw
    ports:
      - 27037:27017
      - 27038:27018
    networks:
      vpcbr:
        ipv4_address: 172.24.30.101   
    restart: unless-stopped

  etsiapi:
    container_name: etsi_arf_iis_server
    image: etsi.arf.openapi.worldstorage:latest
    volumes:
      - C:/Fraunhofer/Servers/ETSI/appsettings.json:/app/appsettings.json:rw
      - C:/Fraunhofer/Servers/ETSI/WWWRoot:/app/wwwroot:rw
    ports:
      - 8082:44301
    networks:
      vpcbr:
        ipv4_address: 172.24.30.100   
    restart: unless-stopped
